Bug 127460 - cerberus triggers ext3 oops
cerberus triggers ext3 oops
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-08 11:20 EDT by Rik van Riel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-14 09:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2004-07-08 11:20:49 EDT
Description of problem:

Unable to handle kernel paging request at virtual address 6b6b6b6b
 printing eip:
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: nfsd exportfs nfs lockd ipv6 parport_pc lp parport
autofs4 rfcomm l2cap bluetooth sunrpc tlan floppy sg microcode dm_mod
usb_storage ohci_hcd ehci_hcd ext3 jbd sym53c8xx scsi_transport_spi
cpqarray sd_mod scsi_mod
CPU:    0
EIP:    0060:[<0f86fb5b>]    Not tainted
EFLAGS: 00010246   (2.6.7-1.476smp)
EIP is at do_get_write_access+0x28/0x54c [jbd]
eax: 0e3e65b4   ebx: 02d05c94   ecx: 00000000   edx: 6b6b6b6b
esi: 02d05c94   edi: 0e3e65b4   ebp: 0c93ff58   esp: 0d958ce4
ds: 007b   es: 007b   ss: 0068
Process diotest4 (pid: 10985, threadinfo=0d958000 task=0d0e6290)
Stack: 00000000 00000000 00000000 fffe7000 03172b00 00000000 0e3e65b4
       00000246 0c93ff58 0c93ff58 00250056 00000000 0d958d20 022d3002
       0215e7c6 00001000 0e5e9564 0e3e65b4 00000001 023ab190 0f8a1015
Call Trace:
 [<022d3002>] cond_resched+0x12/0x37
 [<0215e7c6>] __getblk+0x29/0x47
 [<0f8a1015>] ext3_get_inode_loc+0x4f/0x20e [ext3]
 [<0f87009b>] journal_get_write_access+0x1c/0x2c [jbd]
 [<0f8a1a8d>] ext3_reserve_inode_write+0x34/0x81 [ext3]
 [<0f8a44c4>] ext3_orphan_del+0xac/0x1d1 [ext3]
 [<0f8a0296>] ext3_direct_IO+0x11

Version-Release number of selected component (if applicable):

2.6.7-1.476smp - not seen in earlier kernels
Comment 1 Rik van Riel 2004-07-08 11:46:13 EDT
... and the rest of the trace. DUH!
 [<0f8a0296>] ext3_direct_IO+0x115/0x191 [ext3]
 [<0213f322>] generic_file_direct_IO+0x3c/0x5c
 [<0213eb9b>] generic_file_aio_write_nolock+0x39e/0x8db
 [<02107c9b>] do_IRQ+0x1ce/0x22e
 [<0211d960>] find_busiest_group+0xe6/0x2bf
 [<0213f1ad>] generic_file_aio_write+0x6b/0x7f
 [<0f89d95b>] ext3_file_write+0x19/0x8a [ext3]
 [<0215bef1>] do_sync_write+0x6a/0x99
 [<0211e43c>] scheduler_tick+0x3b9/0x3c1
 [<0215bfd6>] vfs_write+0xb6/0xe2
 [<0215c070>] sys_write+0x2c/0x42
Code: 8b 02 89 54 24 10 89 44 24 0c f6 00 02 74 0a b8 e2 ff ff ff
Comment 2 Stephen Tweedie 2004-07-14 09:04:42 EDT
This was reported easily reproducible in .476, not present in .478. 
The only significant change I can see between those two was the
dropping of the lowlatency cooperative-preempt patch, which could
easily be related to odd problems like this.

Rik, you mentioned you saw this 2 or 3 times --- just for completeness
could you record the other oopses here in case there's a more worrying
pattern underneath?
Comment 3 Rik van Riel 2004-07-14 09:05:59 EDT
I'll throw .476 back in cerberus today, to reproduce the bug again ;)

Note You need to log in before you can comment on or make changes to this bug.